{% extends "base_navbar.html" %}
{% load static icon %}

{% block navbar_projets %}
    active
{% endblock %}

{% block title %}
    Liste des projets
{% endblock %}

{% block head_css %}
    <link href="{% static 'projet/css/projet.css' %}" rel="stylesheet" media="screen">
{% endblock %}

{% block content %}

    <header>
        <h1>Projets</h1>
        <div class="header-content">
            <p>
                Depuis cette page, vous pouvez consulter tous les projets en cours.
                Vous pouvez également gérer les projets dont vous êtes administrateur.
                Inscrivez-vous dès maintenant sur un projet et prenez part à la vie associative de {{ SHORT_NAME }} !<br/>
                Vous avez une idée de court-métrage ou de documentaire ? Soumettez-la aux membres en créant un projet !
            </p>
            <button class="btn btn-outline-dark" onclick="location.href='{% url 'ajout_projet' %}';">
                <i class="fas fa-plus-circle"></i> Créez votre projet !
            </button>
            {% if request.user.is_staff %}
                <button role="button" class="btn btn-outline-dark"
                        onclick="window.location.href='{% url 'gestion_types_projet' %}'"><i
                        class="fas fa-file"></i> Gérer les types de projet
                </button>
            {% endif %}
        </div>
    </header>

    <div class="container-fluid">
        {% if projets_en_attente %}
            <h2 class="title">
                Projet{{ projets_en_attente|length|pluralize }} en attente
            </h2>
            <p class="subtext">
                {% if request.user.is_staff %}
                    Vous devez valider un projet pour que les membres puissent y accéder.
                {% else %}
                    Votre projet doit être validé par le bureau, avant d'être accessible à tous les membres.
                {% endif %}
            </p>

            {% for projet in projets_en_attente %}
                <div class="card card-link">
                    <a href="{% url 'projet' id_projet=projet.id %}" class="overlay"></a>
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-10">
                                <h3>{{ projet.nom }}</h3>
                            </div>
                            {% if request.user.is_staff %}
                                <div class="col-md-2">
                                    <div class="btn-group">
                                        <button class="btn btn-success" onclick="statut_projet({{ projet.id }}, 1);">
                                            Valider
                                        </button>
                                        <button class="btn btn-danger"
                                                href="javascript:statut_projet({{ projet.id }}, 0);"
                                                data-toggle="confirmation" data-btn-ok-label="Supprimer"
                                                data-btn-cancel-label="Annuler" data-btn-ok-class="btn-danger"
                                                data-title="Voulez vous vraiment supprimer le projet ?">Supprimer
                                        </button>
                                    </div>
                                </div>
                            {% endif %}
                        </div>
                    </div>
                </div>
            {% endfor %}
            <hr/>
        {% endif %}

        <h2 class="title">
            Projet{{ projets_en_cours|length|pluralize }} en cours
        </h2>

        {% for projet in projets_en_cours %}
            <div class="card card-link">
                <a href="{% url 'projet' id_projet=projet.id %}" class="overlay"></a>
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-10">
                            <h3>{{ projet.nom }}</h3>
                        </div>
                        {% if request.user.is_staff or projet in projets_admin %}
                            <div class="col-md-2">
                                <button class="btn btn-success" onclick="statut_projet({{ projet.id }}, 2)">Terminer le
                                    projet
                                </button>
                            </div>
                        {% endif %}
                    </div>
                </div>
            </div>
        {% empty %}
            <p>Il n'y a aucun projet en cours ! Pourquoi ne pas créer le votre ?</p>
        {% endfor %}

        {% if projets_finis %}
            <hr/>
            <h2 class="title">
                Projet{{ projets_finis|length|pluralize }} terminé{{ projets_finis|length|pluralize }}
            </h2>

            {% for projet in projets_finis %}
                <div class="card card-link">
                    <a href="{% url 'projet' id_projet=projet.id %}" class="overlay"></a>
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-10">
                                <h3>{{ projet.nom }}</h3>
                            </div>
                        </div>
                    </div>
                </div>
            {% endfor %}
        {% endif %}
    </div>
{% endblock %}

{% block footer_javascript %}
    {% if request.user.is_staff %}

        {# Plugin confirmation box #}
        <script src="https://cdn.jsdelivr.net/npm/bootstrap-confirmation2@4.0.0/dist/bootstrap-confirmation.min.js"></script>

        <script type="text/javascript">
            $(function () {
                $('[data-toggle=confirmation]').confirmation({
                    rootSelector: '[data-toggle=confirmation]'
                });
            });

            function statut_projet(id_projet, valide) {
                $.ajax({
                    url: '{% url 'statut_projet' %}',
                    dataType: 'json',
                    type: 'post',
                    data: {
                        'id_projet': id_projet,
                        'valide': valide,
                        'csrfmiddlewaretoken': '{{ csrf_token }}',
                    },
                    success: function (data) {
                        if (data['success'])
                            location.reload();
                        else {
                            alert("Erreur : " + data['erreur']);
                            location.reload();
                        }
                    }
                });
            }
        </script>
    {% endif %}
{% endblock %}
